<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavior Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classIMP__EEPROM__cntl.html">IMP_EEPROM_cntl</a></li><li class="navelem"><a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html">behavior</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavior Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classIMP__EEPROM__cntl_1_1behavior-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a358f9621cb83683b31e88206b9e0fc69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a358f9621cb83683b31e88206b9e0fc69"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a358f9621cb83683b31e88206b9e0fc69">PROCESS_63</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rst</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a74c6d0b8b3988438a9b9b520ee2f1252"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74c6d0b8b3988438a9b9b520ee2f1252"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a74c6d0b8b3988438a9b9b520ee2f1252">EEPROM_cntl</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classEEPROM__cntl.html">&lt;Entity EEPROM_cntl&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a274ccff7fbb6d6e7d36d84b93d117d2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a274ccff7fbb6d6e7d36d84b93d117d2e"></a>
<b><a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a274ccff7fbb6d6e7d36d84b93d117d2e">state_typ</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_idle</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_0</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_1</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_2</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_3</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_4</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_5</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_6</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_read_DATA_7</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">s_done</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a0ddf85201211c7bc7c670c630f816958"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ddf85201211c7bc7c670c630f816958"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a0ddf85201211c7bc7c670c630f816958">STATE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c93120908bbded4d5241431e409828d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c93120908bbded4d5241431e409828d"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a0c93120908bbded4d5241431e409828d">DLY_CNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae977f6cd6192f0a5d8b3bef5d7e9793f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae977f6cd6192f0a5d8b3bef5d7e9793f"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#ae977f6cd6192f0a5d8b3bef5d7e9793f">EEPROM_RD_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a034b04b7195a37016b2421a5b0933735"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a034b04b7195a37016b2421a5b0933735"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a034b04b7195a37016b2421a5b0933735">EEPROM_WR_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a04b3d5a7be7d45a913476a478a87a754"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04b3d5a7be7d45a913476a478a87a754"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a04b3d5a7be7d45a913476a478a87a754">EEPROM_ADDR_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9c991a89598f54044bd44df9d5d77a48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c991a89598f54044bd44df9d5d77a48"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a9c991a89598f54044bd44df9d5d77a48">EEPROM_RD_DATA_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a08dbe72b1084dddc478e6ed1b73cbe9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08dbe72b1084dddc478e6ed1b73cbe9b"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a08dbe72b1084dddc478e6ed1b73cbe9b">EEPROM_BUSY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aebbfdab533e3a3f5391f92fe068bf271"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aebbfdab533e3a3f5391f92fe068bf271"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#aebbfdab533e3a3f5391f92fe068bf271">EEPROM_RD_s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a67b8780ed045b7ecd557dab3fd859231"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67b8780ed045b7ecd557dab3fd859231"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a67b8780ed045b7ecd557dab3fd859231">EEPROM_ADDR_s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a17c3eca1343a1b39b35a16c6d6b25a16"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17c3eca1343a1b39b35a16c6d6b25a16"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a17c3eca1343a1b39b35a16c6d6b25a16">EEPROM_auto_scan</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a6876790faa0789dcddaaccd0e3f1ca3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6876790faa0789dcddaaccd0e3f1ca3c"></a>
<a class="el" href="classIMP__EEPROM__cntl_1_1behavior.html#a6876790faa0789dcddaaccd0e3f1ca3c">EEPROM_cntl_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>EEPROM_cntl</b>  <em><a class="el" href="classEEPROM__cntl.html">&lt;Entity EEPROM_cntl&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="IMP__EEPROM__cntl_8vhd_source.html#l00056">56</a> of file <a class="el" href="IMP__EEPROM__cntl_8vhd_source.html">IMP_EEPROM_cntl.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/localFlash/<a class="el" href="IMP__EEPROM__cntl_8vhd_source.html">IMP_EEPROM_cntl.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
